Loading...
Searching...
No Matches
auth_tuak.c File Reference

GSM/GPRS/3G authentication core infrastructure. More...

`#include <errno.h>`
`#include <osmocom/crypt/auth.h>`
`#include <osmocom/core/bits.h>`
`#include "tuak/tuak.h"`

## Functions

static const uint8_t * | gen_opc_if_needed (const struct osmo_sub_auth_data2 *aud, uint8_t *gen_opc)
static int | tuak_gen_vec (struct osmo_auth_vector *vec, struct osmo_sub_auth_data2 *aud, const uint8_t *_rand)
static int | tuak_gen_vec_auts (struct osmo_auth_vector *vec, struct osmo_sub_auth_data2 *aud, const uint8_t *auts, const uint8_t *rand_auts, const uint8_t *_rand)
static | __attribute__ ((constructor))

## Variables

static struct osmo_auth_impl | tuak_alg

## Detailed Description

GSM/GPRS/3G authentication core infrastructure.

## Function Documentation

## __attribute__()

__attribute__ | ( | (constructor) |  | ) |

static

References osmo_auth_register(), and tuak_alg.

## gen_opc_if_needed()

const uint8_t * gen_opc_if_needed | ( | const struct osmo_sub_auth_data2 * | aud,
|  | uint8_t * | gen_opc )

static

References osmo_sub_auth_data2::k, osmo_sub_auth_data2::k_len, osmo_sub_auth_data2::opc, osmo_sub_auth_data2::opc_is_op, OSMO_AUTH_TYPE_UMTS, tuak_opc_gen(), osmo_sub_auth_data2::type, osmo_sub_auth_data2::u, and osmo_sub_auth_data2::umts.

Referenced by tuak_gen_vec(), and tuak_gen_vec_auts().